//////////////////////////////////////////////////////////////////////////////
//
// "Embedded C Programming: Techniques and Applications of C and PIC MCUs"
// by Mark Siegusmund
//
// Exercise 14-1
//
// Calculates the volume of a room from hight, width and length entered by
// the user. The volume will be in either meters or feet depending on the 
// value of the MEASURE define.
//
//////////////////////////////////////////////////////////////////////////////

#include <e3.h>

#define METER 0
#define FEET 1

#define MEASURE METER

void main(void) 
{
   int16 width, length, height, result;
   
   for (;;)  {
      puts ("Enter Measurements:") ;
      width = get_int_usb ();
      puts ("") ;
      length = get_int_usb ();
      puts ("") ;
      height = get_int_usb ();
      result = width * length * height;
      
      #if MEASURE == FEET
      printf ("\r\nResult is: %lu feet\r\n", result);
      
      #elif MEASURE == METER
      printf ("\r\nResult is: %lu meters\r\n", result);
      
      #endif
   }
   
   for (;;) ;
}
